Was die Prüfung bei einer VCF-Datei untersucht
Eine VCF-Datei enthält einen oder viele Kontakte im Format vCard. Das Werkzeug zerlegt die Datei in Karten von BEGIN:VCARD bis END:VCARD und liest bei jeder die Version. Danach prüft es, ob die Pflichtfelder dieser Version vorhanden sind, und zählt Kontakte, Versionen und mögliche Duplikate. Jede Meldung nennt die Regel mit RFC-Abschnitt und die Zeilennummer der Karte.
Pflichtfelder je Version
Für vCard 3.0 schreibt RFC 2426 im Abschnitt 1 vor, dass eine Karte die Felder FN, N und VERSION enthalten muss. FN ist der angezeigte Name (3.1.1), N der in Familienname, Vornamen und weitere Teile zerlegte Name (3.1.2), VERSION trägt den Wert 3.0 (3.6.9). Für vCard 4.0 verlangt RFC 6350 in der Syntaxbeschreibung (3.3) VERSION direkt nach BEGIN und ein FN; das Feld N ist dort nicht mehr Pflicht (6.2.2). Eine Karte mit nur FN ist in Version 4.0 also in Ordnung und in Version 3.0 unvollständig.
Für Version 2.1 liegt keine abrufbare Primärquelle vor. Die Seite liest sie deshalb nach der in Exporten üblichen Schreibweise und stützt die Umwandlung auf den Abschnitt „Differences From vCard v2.1“ in RFC 2426. Fehlt in einer 2.1-Karte der FN, meldet das Werkzeug einen Hinweis, weil die Umwandlung nach 3.0 ihn verlangt.
Quoted-Printable, CHARSET und Umlaute
Alte Exporte aus Outlook oder von Nokia-Telefonen schreiben Umlaute als Quoted-Printable, zum Beispiel J=C3=BCrgens für Jürgens, und geben mit CHARSET=UTF-8 an, wie die Bytes zu lesen sind. RFC 2426 beschreibt im Abschnitt 5, dass vCard 3.0 beides abschafft: Zeichen werden als UTF-8 geschrieben, nur Binärdaten bleiben kodiert (ENCODING=b), und der Parameter CHARSET entfällt. Die Prüfung meldet Quoted-Printable und CHARSET; die Reparatur dekodiert sie und schreibt die Werte als normalen Text.
Was automatisch repariert wird
Die reparierte Datei enthält diese Korrekturen, jede im Protokoll aufgeführt: Zeilenenden auf CRLF (RFC 2425, 5.8.1), BOM und Leerzeilen entfernt, zu lange Zeilen nach 75 Oktetten gefaltet (nur 3.0 und 4.0), ein fehlendes FN aus N gebildet (Titel, Vorname, weitere Namen, Nachname, Zusatz) und, wenn Sie es angehakt lassen, vCard 2.1 in Version 3.0 umgewandelt. Dabei werden Parameter wie CELL zu TYPE=CELL, Komma und Semikolon im Text maskiert (RFC 2426, 2.5) und Zeilenumbrüche als \n geschrieben. Version 4.0 wird nie in eine ältere Version umgewandelt, denn dabei könnten Felder verloren gehen.
Duplikate erkennen
Für Duplikate gibt es keine Norm, das Werkzeug verwendet deshalb eine eigene, vorsichtige Regel: Zwei Karten gelten als Duplikat, wenn der Name nach Vereinheitlichung gleich ist und mindestens eine Telefonnummer (nur Ziffern, ohne führendes Plus oder 00) oder eine E-Mail-Adresse (Kleinschreibung) übereinstimmt. Haben beide Karten weder Telefon noch E-Mail, entscheidet der Name allein. Grenze: „+49 511 …“ und „0511 …“ werden nicht als gleiche Nummer erkannt, weil das Werkzeug keine Landesvorwahl rät. Gelöscht wird nichts, die Gruppen werden nur angezeigt.
Grenzen der Prüfung
Geprüft werden Aufbau, Version, Pflichtfelder, Kodierung und Zeilenform. Nicht geprüft werden Telefonnummern auf Gültigkeit, E-Mail-Adressen auf Zustellbarkeit, Fotos und Logos (sie bleiben unverändert) und die Werte von Feldern wie BDAY oder ADR. Karten mit eingebettetem AGENT bleiben unverändert. Eine Aufteilung großer Dateien in mehrere kleine, etwa als ZIP-Archiv, bietet die Seite nicht an. Ob Ihr Telefon oder Programm die Datei annimmt, zeigt nur der Import.
So lesen Sie das Ergebnis
Ein Fehler verletzt eine Pflicht des jeweiligen RFC, etwa ein fehlendes FN in Version 3.0 oder ein fehlendes END:VCARD; strenge Programme lehnen solche Karten ab. Eine Warnung nennt etwas, das erlaubt ist, aber oft zu falschen Anzeigen führt, zum Beispiel ein CHARSET-Parameter in einer 3.0-Karte. Ein Hinweis ist eine Beobachtung, die nichts kaputt macht. Die Liste der Kontakte darunter zeigt Name, Version sowie die Zahl der Telefonnummern und E-Mail-Adressen, damit Sie sofort sehen, ob alle Einträge angekommen sind.
Weiterarbeiten mit Kontakten
Wenn Sie die Kontakte als Tabelle brauchen, wandelt VCF in Excel umwandeln sie in eine CSV-Datei um. Der umgekehrte Weg, von Excel zum Telefon, steht unter Kontakte aus CSV in VCF. Für Kalenderdateien gibt es das Gegenstück ICS-Datei prüfen.